#!/bin/bash

# Check if md5sum of /usr/comma/bg.jpg is not equal to md5sum of /data/openpilot/shell/bg.jpg
if [ "$(md5sum /usr/comma/bg.jpg | awk '{print $1}')" != "$(md5sum /data/openpilot/shell/bg.jpg | awk '{print $1}')" ]; then
    sudo mount -o remount,rw /

    # If /usr/comma/bg.org does not exist
    if [ ! -f /usr/comma/bg.org ]; then
        # Check if md5sum of /usr/comma/bg.jpg contains "642380ba4c0f00b16e9cf6e613f43eec"
        if [[ "$(md5sum /usr/comma/bg.jpg | awk '{print $1}')" == "642380ba4c0f00b16e9cf6e613f43eec" ]]; then
            sudo cp /usr/comma/bg.jpg /usr/comma/bg.org
        fi
    fi

    # If /usr/comma/bg.org does exist
    if [ -f /usr/comma/bg.org ]; then
        sudo cp -f /data/openpilot/shell/bg.jpg /usr/comma/bg.jpg
    fi

    # If file /usr/comma/revert_logo.sh does not exist
    if [ ! -f /usr/comma/revert_logo.sh ]; then
        sudo cp /data/openpilot/shell/revert_logo.sh /usr/comma/revert_logo.sh
        if [[ "$(md5sum md5sum /usr/comma/comma.sh | awk '{print $1}')" == "642380ba4c0f00b16e9cf6e613f43eec" ]]; then
            sudo cp /data/openpilot/shell/comma.sh /usr/comma/comma.sh
        fi
    fi

    echo Applied custom logo for comma boot sequence
    sudo sync
    sleep 2
    sudo mount -o remount,ro /
    sudo sync
fi
